Key and Secret Manager
All operations require authentication.
List OKMS servicesProduction
Returns the OKMS services of the account, with their region, KMIP and REST endpoints, and counts of keys, secrets and KMIP objects.
Query parameters
Filter resources on IAM tags
Headers
Pagination cursor
Pagination size
Response
IAM resource metadata
Unique identifier of the OKMS
KMS kmip API endpoint
Number of KMIP objects (non destroyed)
KMS kmip RSA API endpoint
Whether PCI-DSS compliance is enabled on the service
Tells when PCI-DSS compliance was enabled
KMS public CA (Certificate Authority)
KMS public RSA CA (Certificate Authority)
Region the key management service runs in, which is where your keys and secrets are stored
ap-south-mumap-southeast-sgpap-southeast-sydca-east-bhsca-east-toreu-central-waweu-south-mileu-west-erieu-west-graeu-west-limeu-west-pareu-west-rbxeu-west-sbgKMS rest API endpoint
Number of secrets
Number of secret versions
Number of service keys
Number of service keys per protection level
KMS rest API swagger UI
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ okms/ resource \
-H "authorization: Bearer $OVH_TOKEN"[ { "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "kmipEndpoint": "string", "kmipObjectCount": 0, "kmipRsaEndpoint": "string", "pciDssEnabled": true, "pciDssEnabledAt": "2024-01-01T12:00:00Z", "publicCA": "string", "publicRsaCA": "string", "region": "ap-south-mum", "restEndpoint": "string", "secretCount": 0, "secretVersionCount": 0, "serviceKeyCount": 0, "serviceKeyCountDetails": { "hsm": 0, "software": 0 }, "swaggerEndpoint": "string" }]
Get an OKMS serviceProduction
Returns the OKMS service with its endpoints and resource counts. Set publicCA to true to include the KMS public CA certificate.
Path parameters
Okms ID
Query parameters
Add KMS public CA (Certificate Authority) in the output
Response
IAM resource metadata
Unique identifier of the OKMS
KMS kmip API endpoint
Number of KMIP objects (non destroyed)
KMS kmip RSA API endpoint
Whether PCI-DSS compliance is enabled on the service
Tells when PCI-DSS compliance was enabled
KMS public CA (Certificate Authority)
KMS public RSA CA (Certificate Authority)
Region the key management service runs in, which is where your keys and secrets are stored
ap-south-mumap-southeast-sgpap-southeast-sydca-east-bhsca-east-toreu-central-waweu-south-mileu-west-erieu-west-graeu-west-limeu-west-pareu-west-rbxeu-west-sbgKMS rest API endpoint
Number of secrets
Number of secret versions
Number of service keys
Number of service keys per protection level
KMS rest API swagger UI
Example uses okmsId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ okms/ resource/ {okmsId} \
-H "authorization: Bearer $OVH_TOKEN"{ "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "kmipEndpoint": "string", "kmipObjectCount": 0, "kmipRsaEndpoint": "string", "pciDssEnabled": true, "pciDssEnabledAt": "2024-01-01T12:00:00Z", "publicCA": "string", "publicRsaCA": "string", "region": "ap-south-mum", "restEndpoint": "string", "secretCount": 0, "secretVersionCount": 0, "serviceKeyCount": 0, "serviceKeyCountDetails": { "hsm": 0, "software": 0 }, "swaggerEndpoint": "string"}
Update an OKMS serviceProduction
Enables or disables PCI-DSS enforcement on the service.
Path parameters
Okms ID
Request body (required)
Enable or disable PCI-DSS compliance
Response
Unique identifier of the OKMS
KMS kmip API endpoint
Number of KMIP objects (non destroyed)
KMS kmip RSA API endpoint
Whether PCI-DSS compliance is enabled on the service
Tells when PCI-DSS compliance was enabled
KMS public CA (Certificate Authority)
KMS public RSA CA (Certificate Authority)
Region the key management service runs in, which is where your keys and secrets are stored
ap-south-mumap-southeast-sgpap-southeast-sydca-east-bhsca-east-toreu-central-waweu-south-mileu-west-erieu-west-graeu-west-limeu-west-pareu-west-rbxeu-west-sbgKMS rest API endpoint
Number of secrets
Number of secret versions
Number of service keys
Number of service keys per protection level
KMS rest API swagger UI
Example uses okmsId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ okms/ resource/ {okmsId} \
-H "authorization: Bearer $OVH_TOKEN"{ "id": "00000000-0000-0000-0000-000000000000", "kmipEndpoint": "string", "kmipObjectCount": 0, "kmipRsaEndpoint": "string", "pciDssEnabled": true, "pciDssEnabledAt": "2024-01-01T12:00:00Z", "publicCA": "string", "publicRsaCA": "string", "region": "ap-south-mum", "restEndpoint": "string", "secretCount": 0, "secretVersionCount": 0, "serviceKeyCount": 0, "serviceKeyCountDetails": { "hsm": 0, "software": 0 }, "swaggerEndpoint": "string"}